package com.bootdo.data.service;

import java.util.List;
import java.util.Map;

import com.bootdo.data.domain.DataInfoDO;

/**
 * 重要数据表
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-02-27 17:27:36
 */
public interface DataInfoService {
	
	DataInfoDO get(Long id);
	
	List<DataInfoDO> list(Map<String, Object> map);
	
	int count(Map<String, Object> map);
	
	int save(DataInfoDO dataInfo);
	
	int update(DataInfoDO dataInfo);
	
	int remove(Long id);
	
	int batchRemove(Long[] ids);

	/**
	 * @Description:重要数据和核心数据目录备案清单 初始化
	 * @Author: wangp
	 * @Date: 2022/3/1 19:05
	 * @param map
	 * @Return: List<DataInfoDO>
	 */
    List<DataInfoDO> querylistInfo(Map<String, Object> map);
}
